# Enum Class AccessFlag.Location

java.lang.Object
java.lang.Enum<AccessFlag.Location>
java.lang.reflect.AccessFlag.Location

All Implemented Interfaces:
  `Serializable`, `Comparable<AccessFlag.Location>`, `Constable`

Enclosing class:
  `AccessFlag`

public static enum AccessFlag.Location extends Enum<AccessFlag.Location>
A location within a class file where flags can be applied. Note that since these locations represent class file structures rather than language structures many language structures, such as constructors and interfaces, are not present.

Since:
  20

## Nested Class Summary

### Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLASS`
Class location.
`FIELD`
Field location.
`INNER_CLASS`
Inner class location.
`METHOD`
Method location.
`METHOD_PARAMETER`
Method parameter location.
`MODULE`
Module location
`MODULE_EXPORTS`
Module exports location
`MODULE_OPENS`
Module opens location
`MODULE_REQUIRES`
Module requires location

## Method Summary

Modifier and Type
Method
Description
`static AccessFlag.Location`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AccessFlag.Location[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CLASS

public static final AccessFlag.Location CLASS
Class location.

See Java Virtual Machine Specification:
  4.1 The ClassFile Structure

### FIELD

public static final AccessFlag.Location FIELD
Field location.

See Java Virtual Machine Specification:
  4.5 Fields

### METHOD

public static final AccessFlag.Location METHOD
Method location.

See Java Virtual Machine Specification:
  4.6 Methods

### INNER_CLASS

public static final AccessFlag.Location INNER_CLASS
Inner class location.

See Java Virtual Machine Specification:
  4.7.6 The InnerClasses Attribute

### METHOD_PARAMETER

public static final AccessFlag.Location METHOD_PARAMETER
Method parameter location.

See Java Virtual Machine Specification:
  4.7.24 The MethodParameters Attribute

### MODULE

public static final AccessFlag.Location MODULE
Module location

See Java Virtual Machine Specification:
  4.7.25 The Module Attribute

### MODULE_REQUIRES

public static final AccessFlag.Location MODULE_REQUIRES
Module requires location

See Java Virtual Machine Specification:
  4.7.25 The Module Attribute

### MODULE_EXPORTS

public static final AccessFlag.Location MODULE_EXPORTS
Module exports location

See Java Virtual Machine Specification:
  4.7.25 The Module Attribute

### MODULE_OPENS

public static final AccessFlag.Location MODULE_OPENS
Module opens location

See Java Virtual Machine Specification:
  4.7.25 The Module Attribute

## Method Details

### values

public static AccessFlag.Location[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AccessFlag.Location valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null